Skip to content

Create Calendar System

POST
/api/creative/timelines/calendar-systems

Create a custom fantasy calendar system.

CalendarSystemCreateRequest

POST /timelines/calendar-systems body.

object
name
required
Name

Calendar name

string
description
Description

Description

string
""
eras
Eras

Eras

Array<object>
CalendarEra

Single era definition within a calendar system.

object
name
required
Name

Era name (e.g. ‘First Age’)

string
abbreviation
required
Abbreviation

Short form (e.g. ‘FA’)

string
startValue
Startvalue

Sort key where this era begins

integer
0
endValue
Any of:
integer
yearSpan
Any of:
integer
isCurrent
Iscurrent

Whether this is the active/ongoing era

boolean
months
Months

Months

Array<object>
CalendarMonth

Single month within a calendar system.

object
name
required
Name

Month name

string
days
required
Days

Number of days in this month

integer
> 0
daysPerWeek
Daysperweek

Days per week

integer
default: 7 > 0
dayNames
Daynames

Day names

Array<string>
epochLabel
Epochlabel

Epoch label

string
default: Year
dateFormatTemplate
Dateformattemplate

Format template

string
default: {era} {year}, {month} {day}

Successful Response

CalendarSystemResponse

Single calendar system response.

object
status
required
Status

Operation status

string
data
required
CalendarSystem

Calendar system

object
id
Any of:
string
projectId
required
Projectid

Project this calendar belongs to

string
name
required
Name

Calendar name

string
description
Description

Calendar description

string
""
eras
Eras

Era definitions

Array<object>
CalendarEra

Single era definition within a calendar system.

object
name
required
Name

Era name (e.g. ‘First Age’)

string
abbreviation
required
Abbreviation

Short form (e.g. ‘FA’)

string
startValue
Startvalue

Sort key where this era begins

integer
0
endValue
Any of:
integer
yearSpan
Any of:
integer
isCurrent
Iscurrent

Whether this is the active/ongoing era

boolean
months
Months

Month definitions

Array<object>
CalendarMonth

Single month within a calendar system.

object
name
required
Name

Month name

string
days
required
Days

Number of days in this month

integer
> 0
daysPerWeek
Daysperweek

Days per week

integer
default: 7 > 0
dayNames
Daynames

Day names in order

Array<string>
epochLabel
Epochlabel

Label for year numbering

string
default: Year
dateFormatTemplate
Dateformattemplate

Template for formatting dates

string
default: {era} {year}, {month} {day}

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object